#include<bits/stdc++.h>

using namespace std;

int main()
{
    int a,b,c;
    cin>>a>>b>>c;

    int c1=c;
    int lc=0;
    while (c1!=0)
    {
        c1=c1/10;
        lc++;
    }

    if (lc==1)
    {
        if (a==b && a==c) cout<<a<<b<<c;
        else if (a==b && a!=c)
        {
            if (a<c) cout<<c<<a<<b;
            else cout<<a<<b<<c;
        }
        else if (a==c && a!=b)
        {
            if (a<b) cout<<b<<a<<c;
            else cout<<a<<c<<b;
        }
        else if (b==c && a!=b)
        {
            if (a<b) cout<<b<<c<<a;
            else cout<<a<<c<<b;
        }
        else if (a!=b && a!=c && b!=c)
        {
            if (a>b && a>c) cout<<a<<max(c,b)<<min(b,c);
            else if (b>a && b>c) cout<<b<<max(c,a)<<min(a,c);
            else if (c>a && c>b) cout<<c<<max(b,a)<<min(a,b);
        }

    }
    else if (lc==2)
    {
        int c1=c/10;
        int c2=c%10;
        if (a==b && a==c1) cout<<a<<b<<c;
        else if (a==b && a!=c1)
        {
            if (a<c1) cout<<c<<a<<b;
            else cout<<a<<b<<c;
        }
        else if (a==c1 && a!=b)
        {
            if (a<b) cout<<b<<a<<c;
            else cout<<a<<c<<b;
        }
        else if (b==c1 && a!=b)
        {
            if (a<b) cout<<b<<c<<a;
            else cout<<a<<c<<b;
        }
        else if (a!=b && a!=c1 && b!=c1)
        {
            if (a>b && a>c1) {if (c1>b) cout<<a<<c<<b; else cout<<a<<b<<c;}
            else if (b>a && b>c1) { if (c1>a) cout<<b<<c<<a; else cout<<b<<a<<c;}
            else if (c1>a && c1>b) cout<<c<<max(b,a)<<min(a,b);
        }

    }

    return 0;
}